/*
 * ar4c-dcdc - jiffies-posix.c
 *
 * Copyright (C) 2014  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif
#include <jiffies.h>
#include <compiler.h>
#include <time.h>

unsigned long jiffies = -300 * HZ;

unsigned long get_jiffies(void)
{
	struct timespec ts;

	clock_gettime(CLOCK_MONOTONIC, &ts);
	return ts.tv_sec * HZ + ts.tv_nsec / (1000000000UL / HZ);
}

void sleep_to(unsigned long t)
{
	long dt = t - get_jiffies();

	if (dt > 0)
		usleep(dt * (1000000UL / HZ));
}

void jiffies_init(void)
{
}
